2006-05-24 22:18  havoc

	* qc/world.qc: changed liquid damage back to quake style (a lot
	less slime damage, less lava damage)

2006-05-24 22:17  havoc

	* qc/w_system.qc: removed teleport zoom effect

2006-05-24 21:14  havoc

	* default.cfg: added cl_beams_quakepositionhack 0

2006-05-21 10:06  havoc

	* qc/ai.qc: optimizations of checkplayer code, and it is now
	commented out, went back to using checkclient builtin for more
	performance

2006-04-12 14:51  havoc

	* effectinfo.txt: fix bug with alphastatic on nexuiz electro trail
	(should've been static)

2006-04-04 12:04  havoc

	* qc/: client.qc, damage.qc, defs.qc, items.qc, m_demon.qc,
	m_enforcer.qc, m_fish.qc, m_hknight.qc, m_knight.qc, m_ogre.qc,
	m_shambler.qc, m_soldier.qc, m_wizard.qc, player.qc, progs.src,
	t_damage.qc, visibleweapons.qc, w_defs.qc, w_system.qc,
	waypoint_spawnformap.qc, world.qc: removed visible weapon code (it
	wasn't really doing anything except messing up the ax animations),
	added back proper ax animations, added back pain animations (and
	pain sounds, including the ax hit sound), modified weapons to start
	player firing wanimations like original quake did (rather than
	using special code to update the player frame from the weapon frame
	directly) fixed bug in T_Damage that made FL_GODMODE do no blood
	effects/etc merged w_directattackaim and w_grenadeattackaim into
	w_aim got rid of viewzoom animation so weapon zooming is a bit
	faster now, added teleport viewzoom animation modified waypoint
	spawning at load to not try default waypoints if waypoints were
	found in the map (as is the case in dpdm1) modified laserrifle code
	to no longer do burst firing removed some cruft from weapon code

2006-04-04 11:55  havoc

	* qc/projectiles.qc: removed the (quite excessive) force applied by
	spikes such as scrag spit

2006-04-04 11:53  havoc

	* qc/havocbot.qc: now sorts waypoint links by minimum travel cost,
	this means the closest 32 links are kept (incase there are more
	than 32 to choose from), slightly increased maximum waypoint
	linking distance, rewrote much of the markroutes code to improve
	performance significantly (now uses precomputed minimum travel cost
	between waypoints before doing the more expensive checks), some
	other things

2006-04-04 11:52  havoc

	* qc/inventory.qc: fixed bug that caused ammo on hud to always show
	shells (all the ammo IT_ flags were set at once - oops!)

2006-04-04 11:47  havoc

	* maps/: dpdm1.bsp, dpdm1.dlit, dpdm1.lit, dpdm1.map,
	dpdm1.rtlights, dpdm2.bsp, dpdm2.dlit, dpdm2.lit: updated light
	entities in dpdm1 recompiled lighting in dpdm1 and dpdm2, now with
	deluxemapping and -harshshade

2006-04-04 08:11  havoc

	* qc/waypoint_spawnformap.qc: added one more waypoint to dpdm2
	which allows the bots to realize they can walk down the ramp from
	the yellow armor + 4x SNG room to the outside area

2006-04-04 06:52  havoc

	* effectinfo.txt: added an example effectinfo.txt file

2006-04-02 19:45  havoc

	* qc/items.qc: moved lots of self.havocpickup = TRUE lines into
	PlaceItem

2006-04-02 19:42  havoc

	* qc/projectiles.qc: removed unused function SpawnHarmlessFireball

2006-04-02 09:20  havoc

	* qc/teamplay.qc: removed monster ctf name

2006-04-02 09:20  havoc

	* qc/projectiles.qc: changed grenades, rockets, and a few other
	pieces of code to only do the back-off-from-the-wall logic AFTER
	doing the damage, this should fix the radius damage calls which
	were often doing too little damage

2006-04-02 09:18  havoc

	* qc/darkp.qc: renamed armors back to quake names

2006-04-02 09:16  havoc

	* qc/: defs.qc, progs.src, raddamage.qc, t_damage.qc,
	t_radiusdamage.qc: merged raddamage.qc and t_radiusdamage.qc into
	t_damage.qc fixed a bug that was causing T_RadiusDamage to do no
	damage (one line I hadn't fixed after changing the damage amount
	behavior)

2006-04-02 08:22  havoc

	* qc/t_damage.qc: remove several definitions that have been moved
	to defs.qc

2006-04-02 08:12  havoc

	* qc/: damage.qc, damagetype.qc, defs.qc, progs.src: merged
	damagetype.qc into damage.qc, and moved the field definitions and
	functions to defs.qc

2006-04-02 08:01  havoc

	* qc/: casings.qc, decals.qc, decors.qc, defs.qc, gore.qc,
	progs.src: merged casings.qc decals.qc and gore.qc into decors.qc,
	and cleaned up decors.qc a bit

2006-04-02 07:51  havoc

	* qc/items.qc: forgot to commit the merged items.qc file

2006-04-02 07:50  havoc

	* qc/: bullets.qc, defs.qc, explosion.qc, fire.qc, fireball.qc,
	grenade.qc, laser.qc, lightning.qc, mine.qc, plasma.qc, progs.src,
	projectiles.qc, raddamage.qc, rocket.qc, spike.qc,
	t_radiusdamage.qc: merged bullets.qc explosion.qc fire.qc
	fireball.qc grenade.qc laser.qc lightning.qc mine.qc plasma.qc
	rocket.qc and spike.qc into projectiles.qc removed damage amount
	parameter from LinearRadDamage, now it just returns a 0-1 fraction
	of the maximum damage, this reduces the T_RadiusDamage code a bit
	and reduces the number of tracelines used when calculating both
	damage and force

2006-04-02 07:34  havoc

	* qc/: damage.qc, item_ammo.qc, item_armor.qc, item_artifacts.qc,
	item_backpacks.qc, item_health.qc, item_keys.qc,
	item_legacystuff.qc, item_sigil.qc, item_weapons.qc, itemstuff.qc,
	progs.src: merged itemstuff.qc and item_*.qc into items.qc, and
	reduced differences from quake's items.qc to only the essential
	stuff

2006-04-02 07:27  havoc

	* qc/: finalarenamaps.qc, fog.qc, music.qc, spotlights.qc, sqrt.qc,
	think.qc: removed some unused code

2006-04-02 07:21  havoc

	* qc/: defs.qc, forcefield.qc, invisiblewall.qc, misc.qc,
	progs.src, rain.qc, rotate.qc, shake.qc, xplowall.qc: merged
	forcefield.qc invisiblewall.qc rain.qc rotate.qc shake.qc and
	xplowall.qc into misc.qc, and moved the count3 and related
	definitions to defs.qc

2006-04-02 07:14  havoc

	* qc/: lag.qc, progs.src, sprintnumdigits.qc, util.qc: merged
	sprintnumdigits.qc and lag.qc into util.qc

2006-04-02 07:11  havoc

	* qc/: client.qc, footstep.qc, impulse_main.qc, progs.src,
	regen.qc, stats.qc: merged footstep.qc, impulse_main.qc, regen.qc,
	and stats.qc into client.qc

2006-04-02 03:11  havoc

	* qc/: CTF.qc, client.qc, damage.qc, havocbot_roles.qc,
	inventory.qc, item_ammo.qc, item_armor.qc, item_backpacks.qc,
	item_health.qc, item_weapons.qc, m_demon.qc, m_dog.qc,
	m_enforcer.qc, m_fish.qc, m_hknight.qc, m_knight.qc, m_ogre.qc,
	m_shalrath.qc, m_shambler.qc, m_soldier.qc, m_tarbaby.qc,
	m_wizard.qc, m_zombie.qc, mctf.qc, modedefs.qc, progs.src,
	regen.qc, w_system.qc, world.qc: removed metroidmode removed mctf
	code removed commented out weapons removed flamer weapon code

2006-04-02 03:00  havoc

	* qc/: ai.qc, bullets.qc, cheatcode.qc, client.qc, explosion.qc,
	fire.qc, flash.qc, forcefield.qc, gibcomments.qc, gore.qc,
	grenade.qc, havocbot.qc, impulse_main.qc, inventory.qc,
	item_artifacts.qc, item_backpacks.qc, item_keys.qc,
	item_legacystuff.qc, item_weapons.qc, localdamage.qc,
	m_enforcer.qc, m_hknight.qc, m_knight.qc, m_ogre.qc, m_shalrath.qc,
	m_shambler.qc, m_soldier.qc, m_wizard.qc, mine.qc, misc.qc,
	plasma.qc, plats.qc, player.qc, progs.src, raddamage.qc, regen.qc,
	rocket.qc, spike.qc, superdamagesound.qc, t_damage.qc,
	trig_original.qc, util.qc, visibleweapons.qc, w_defs.qc,
	w_grapple.qc, w_system.qc, world.qc: removal of dead code

2006-04-01 23:54  havoc

	* qc/: CTF.qc, ai.qc, bullets.qc, buttons.qc, casings.qc,
	client.qc, damage.qc, damagetype.qc, decals.qc, decors.qc,
	domination.qc, doors.qc, explosion.qc, fight.qc, finalarenamaps.qc,
	fire.qc, flash.qc, fog.qc, footstep.qc, forcefield.qc,
	gibcomments.qc, gore.qc, grenade.qc, halflife.qc, havocbot.qc,
	havocbot_roles.qc, inventory.qc, invisiblewall.qc, item_ammo.qc,
	item_backpacks.qc, item_health.qc, item_keys.qc,
	item_legacystuff.qc, item_sigil.qc, item_weapons.qc, itemstuff.qc,
	lag.qc, localdamage.qc, m_boss.qc, m_demon.qc, m_dog.qc,
	m_enforcer.qc, m_fish.qc, m_hknight.qc, m_knight.qc, m_monsters.qc,
	m_ogre.qc, m_oldone.qc, m_shalrath.qc, m_shambler.qc, m_soldier.qc,
	m_tarbaby.qc, m_wizard.qc, m_zombie.qc, mine.qc, misc.qc,
	mode_elimination.qc, mode_management.qc, modedefs.qc, music.qc,
	plasma.qc, plats.qc, player.qc, raddamage.qc, regen.qc, rocket.qc,
	rotate.qc, shake.qc, spike.qc, stats.qc, subs.qc, t_damage.qc,
	t_radiusdamage.qc, teamplay.qc, think.qc, trig_original.qc,
	trig_playercount.qc, trig_ticker.qc, util.qc, visibleweapons.qc,
	w_defs.qc, w_system.qc, world.qc, xplowall.qc: code cleaning
	(cleaning of whitespace, commenting out or removing unused
	variables...)

2006-04-01 22:07  havoc

	* qc/defs.qc: code cleaning

2006-04-01 21:02  havoc

	* qc/: damage.qc, fight.qc, item_weapons.qc, m_demon.qc, m_dog.qc,
	m_enforcer.qc, m_fish.qc, m_hknight.qc, m_ogre.qc, m_shambler.qc,
	m_soldier.qc, m_tarbaby.qc, m_wizard.qc, m_zombie.qc, w_grapple.qc,
	w_system.qc, world.qc: monsters use the same damage values as in
	quake now, some of the dpmod values were actually LOWER than quake,
	weird the monster damage multiplier has been doubled (so now normal
	skill does quake damage, nightmare does 2x quake damage, etc), this
	makes the game harder modified weapon code to use consistent ammo
	damage/force/radius values for all weapons using a particular ammo
	type moved ammo damage values to damage.qc changed weapon pickups
	to give the same amount of ammo as a small box (as defined in
	damage.qc) added damage values for ALL quake monster damage,
	including melee and so on, to damage.qc mde zombies have inaccurate
	shots like ogres do

2006-04-01 20:57  havoc

	* qc/util.qc: added some debugging code to detect bugs in engine
	tracetoss function

2006-04-01 20:56  havoc

	* qc/grenade.qc: fix typo in grenade code that was causing grenades
	to use radius as their damage

2006-04-01 20:55  havoc

	* qc/gore.qc: fixed bug where gibs sometimes fell through the floor
	because they were spawned under the floor

2006-04-01 02:57  havoc

	* qc/: player.qc, w_defs.qc, w_system.qc: redesigned weapon
	animation timing yet again, now rapid fire weapons fire as soon as
	you press the button, and everything seems to work well increased
	lightning body damage from 8 to 15 per cell, this makes gibbing
	things easier (but still not as easy as with other weapons)

2006-04-01 02:05  havoc

	* qc/world.qc: apply liquid damage less often so it doesn't
	constantly turn the screen blinding red modified darkmode to set
	lightstyles beyond 63

2006-04-01 02:03  havoc

	* qc/impulse_main.qc: improved flashlight placement

2006-03-29 04:45  havoc

	* qc/dpextensions.qc: correct the name of
	DP_TRACE_HITCONTENTSMASK_SURFACEINFO

2006-03-23 03:59  havoc

	* default.cfg, cubemaps/201nx.tga, cubemaps/201ny.tga,
	cubemaps/201nz.tga, cubemaps/201px.tga, cubemaps/201py.tga,
	cubemaps/201pz.tga, qc/client.qc, qc/defs.qc, qc/halflife.qc,
	qc/impulse_main.qc, qc/misc.qc, qc/world.qc: added darkmode option
	(no lights, only flashlights)

2006-03-23 03:58  havoc

	* qc/m_hknight.qc: changed the (commented out) inferno attack on
	hell knights back to the original archvile-style attack it was

2006-03-23 03:56  havoc

	* qc/: damage.qc, m_enforcer.qc: removed flamer weapon from
	enforcers added dbshotgun and supernailgun to enforcers

2006-03-23 03:55  havoc

	* qc/m_ogre.qc: made ogre grenades much less accurate

2006-03-23 03:55  havoc

	* qc/w_system.qc: removed force on lightning and plasma weapons

2006-03-23 03:40  havoc

	* qc/gore.qc: fixed still-burning-after-respawn bug

2006-03-22 00:53  havoc

	* qc/: bullets.qc, casings.qc, dpextensions.qc, gore.qc,
	grenade.qc, inventory.qc, item_backpacks.qc, laser.qc, mine.qc,
	plasma.qc, rocket.qc: implemented
	DP_TRACE_HITCONTENTSMASK_SURFACEINFO extension, and made use of it
	this commit also contains an unfinished, non-functional, and
	disabled, rigidbody physics system

2006-03-16 18:39  havoc

	* romi_rtlights.pk3: updated rtlights pack from romi, now with more
	cubemap and water lighting goodness

2006-03-09 22:04  havoc

	* default.cfg, qc/playermovement.qc: renamed sv_airmaxspeed to
	sv_maxairspeed to match the engine cvar

2006-03-09 21:29  havoc

	* default.cfg: added sv_jumpstep 1

2006-02-22 20:21  havoc

	* qc/: inventory.qc, w_system.qc: rearranged unused weapons code in
	w_system.qc fixed shotgun shell ejection to spawn from the right
	player (W_SetupShot calls rearranged to make everything more
	reliable) fixed double barreled shotgun to do the proper damage (it
	was doing half the intended damage, making it worse than the
	shotgun, thanks to []Lardarse for pointing this out) changed
	shotgun and nailgun spread values made shotguns spawn impact
	effects for for all their pellets, not just half of them moved
	laser rifle from impulse 3 to impulse 10 reenabled plasma wave due
	to popular demand

2006-02-22 20:20  havoc

	* qc/bullets.qc: bullets no longer apply force to their target (it
	was silly pushing shamblers around)

2006-02-11 22:39  havoc

	* qc/decals.qc: fix model orientation

2006-02-11 17:55  havoc

	* qc/: bullets.qc, decals.qc: added ismodel parameter to newdecal
	to make it properly compute angles for models

2006-02-08 07:27  havoc

	* qc/: bullets.qc, decals.qc: added a skin parameter to newdecal

2006-02-08 07:17  havoc

	* qc/bullets.qc: fix the newdecal call to use a trace_plane_normal
	instead of dir

2006-02-08 07:09  havoc

	* qc/impulse_main.qc: fixed typo in dphelp, don't know how this
	ever compiled before

2006-02-08 05:56  havoc

	* qc/: bullets.qc, decals.qc: uncommented newdecal, and added a
	decal testing call (commented out) to bullet impact code

2006-01-31 01:22  havoc

	* qc/w_system.qc: disabled flamer weapon because it kills framerate
	and isn't a very effective weapon either disabled plasmawave
	because it is simply too powerful and unbalanced

2006-01-31 01:15  havoc

	* qc/mode_management.qc: changed a deathmatch variable reference to
	cvar("deathmatch") to make sure it's ready in time

2006-01-31 01:14  havoc

	* qc/impulse_main.qc: added more documentation to dphelp command

2006-01-31 01:14  havoc

	* qc/m_hknight.qc: made hellknight shots turn faster, a bit harder
	to dodge them now

2006-01-31 01:13  havoc

	* qc/w_system.qc: dropped cell damage from 60 to 30 on all energy
	weapons, as they were too powerful

2006-01-15 20:04  havoc

	* qc/dpextensions.qc: added EXT_BITSHIFT documentation

2006-01-14 09:45  havoc

	* qc/dpextensions.qc: added DP_EF_DOUBLESIDED extension

2006-01-14 09:41  havoc

	* qc/dpextensions.qc: added DP_SV_CUSTOMIZEENTITYFORCLIENT
	extension docs, and a definition for EF_DOUBLESIDED (but not an
	extension yet)

2006-01-09 10:18  havoc

	* default.cfg: added a set I forgot

2006-01-08 05:00  havoc

	* default.cfg: add sv_airmaxspeed to default.cfg so that air
	control works again

2005-11-24 21:54  havoc

	* qc/: client.qc, havocbot.qc, mode_management.qc, teamplay.qc:
	cleaned up SV_ChangeTeam code, eliminated setplayercolor (now uses
	setcolor directly), this fixes the 'joining as white' bug

2005-10-21 16:06  havoc

	* qc/inventory.qc: fix a bug that made metroidmode not work when in
	deathmatch

2005-10-11 02:17  havoc

	* romi_rtlights.pk3: updated to romi's final rtlights pack

2005-08-25 18:35  havoc

	* qc/gore.qc: ragdoll stuff: disable particle vs particle
	collisions

2005-08-24 02:54  sajt

	* qc/: trig_original.qc, world.qc: Welcome to Bad Hack Theatre.
	Hacked a skill 4 skill selector onto the start map. I took the
	liberty of naming it the 'unreasonable' skill level.

2005-08-23 00:07  sajt

	* qc/dpextensions.qc: Added te_flamejet builtin

2005-08-22 22:48  sajt

	* qc/dpextensions.qc: Added DP_SV_WRITEUNTERMINATEDSTRING builtin

2005-08-22 21:05  sajt

	* qc/: damage.qc, havocbot.qc, m_boss.qc, m_demon.qc, m_dog.qc,
	m_enforcer.qc, m_fish.qc, m_hknight.qc, m_knight.qc, m_monsters.qc,
	m_ogre.qc, m_shalrath.qc, m_shambler.qc, m_soldier.qc,
	m_tarbaby.qc, m_wizard.qc, m_zombie.qc, subs.qc, w_system.qc,
	world.qc: Added skill 4 mode where monsters are nearly invisible
	unless attacking, in pain, or dead.

2005-08-20 12:00  havoc

	* qc/dpextensions.qc: added DP_SV_PRECACHEANYTIME extension

2005-08-19 00:35  havoc

	* qc/dpextensions.qc: added DP_CON_ALIASPARAMETERS and
	DP_CON_EXPANDCVAR extensions

2005-08-18 18:30  havoc

	* qc/w_system.qc: forgot to commit this part of the ragdoll stuff

2005-08-18 17:30  havoc

	* default.cfg, qc/gore.qc, qc/w_system.qc: enabled the very funky
	ragdoll stuff, dpmod_qcphysics_* cvars enable things (off by
	default)

2005-08-18 15:10  havoc

	* qc/: gore.qc, inventory.qc, playermovement.qc, t_damage.qc,
	t_radiusdamage.qc, w_system.qc, world.qc: some funky physics code
	(possibly suitable for ragdolls) added to gore.qc which was being
	tested on gibs and shell casings, not used currently (all commented
	out) some cleanups of playermovement.qc lowered shotgun damages

2005-08-11 05:05  havoc

	* qc/dpextensions.qc: change crediting of DP_QC_CVAR_STRING to
	VorteX as per his request not to use his name

2005-08-09 06:36  havoc

	* qc/dpextensions.qc: added a note about TENEBRAE_GFX_DLIGHTS light
	entities normally being used without a model

2005-08-01 09:47  havoc

	* qc/dpextensions.qc: fix typo (.entity fld should've been .float
	fld) on findflags builtin reported by Urre

2005-07-09 02:12  havoc

	* qc/dpextensions.qc: change idea credit for findflags and
	findchainflags to Sajt

2005-06-28 23:07  havoc

	* qc/dpextensions.qc: added notes to DP_ENTEXTERIORMODELTOCLIENT
	and DP_GFX_QUAKE3MODELTAGS about entities attached to the player
	not appearing in first person

2005-06-28 17:16  havoc

	* qc/dpextensions.qc: commented out MOVETYPE_BOUNCEMISSILE
	definition in DP_MOVETYPEBOUNCEMISSILE extension since defs.qc
	already contains this definition corrected DP_QC_ETOS description
	corrected DP_QC_RANDOMVEC description added sv_playerphysicsqc cvar
	to DP_SV_PLAYERPHYSICS extension

2005-05-29 15:28  havoc

	* qc/dpextensions.qc: added DP_QUAKE3_MAP extension

2005-05-09 14:18  havoc

	* qc/domination.qc: corrected email address

2005-05-09 14:13  havoc

	* default.cfg, qc/client.qc: added sv_maplist cvar support as
	requested by Paul Gagnon

2005-04-07 03:00  molivier

	* qc/dpextensions.qc: Added the DP_HALFLIFE_SPRITE QC extension

2005-04-03 00:27  molivier

	* qc/dpextensions.qc: Added the DP_QUAKE2_SPRITE QC extension

2005-02-09 14:24  havoc

	* qc/: havocbot.qc, havocbot_roles.qc, w_defs.qc, w_system.qc,
	waypoint_spawnformap.qc: rewrote much of havocbot to use waypoints
	and wayboxes instead of waysurfaces (waysurfaces are no longer
	supported) havocbot now only does at most goal search per frame (if
	there are multiple bots each has to wait its turn in the cycle, or
	0.5 seconds, whichever is longer) added WR_AIM so that havocbot AI
	can call the aim code during player physics instead of being done
	by the weapon code (which runs later) havocbot contains a (very
	simple) add/remove/save waypoint editor, use set
	havocbot_editwaypoints 1 to enable and the impulses are documented
	in havocbot.qc

2005-02-04 05:48  havoc

	* qc/dpextensions.qc: added DP_CON_STARTMAP documentation

2005-01-27 17:43  havoc

	* qc/havocbot.qc: thanks to Urre for some optimization and cleanup
	ideas for waypoint navigation, which made havocbot navigation
	several times faster

2005-01-27 15:06  havoc

	* qc/: CTF.qc, client.qc, damagetype.qc, gore.qc, inventory.qc,
	item_ammo.qc, item_armor.qc, item_backpacks.qc, item_health.qc,
	item_weapons.qc, m_enforcer.qc, m_ogre.qc, m_soldier.qc, mctf.qc,
	mine.qc, progs.src, regen.qc, t_damage.qc, t_radiusdamage.qc,
	w_system.qc, world.qc: major changes to inventory system cleaned up
	parms handling (when spawning fresh it now uses Inventory calls
	instead of manually set weapon bits, and all inventory is now
	encoded into parms) cleaned up mctf stuff (now you can play
	singleplayer and other modes with the mctf-style items/weapons by
	using "set metroidmode 1" in the console)

2005-01-27 15:00  havoc

	* qc/raddamage.qc: slight cleanup

2005-01-27 14:59  havoc

	* qc/stats.qc: whitespace

2005-01-27 14:54  havoc

	* qc/w_system.qc: made lightning grapple (in mctf mode) pull every
	frame, not just one when it does damage

2005-01-27 14:34  havoc

	* qc/: bullets.qc, explosion.qc, fireball.qc, grenade.qc,
	m_boss.qc, m_shalrath.qc, m_tarbaby.qc, mine.qc, misc.qc,
	rocket.qc, superdomination.qc, w_system.qc, xplowall.qc: changed
	BecomeExplosion to do no damage, instead calling T_RadiusDamage
	above it

2005-01-27 13:41  havoc

	* qc/damage.qc: dropped health/maxhealth in mctf mode from 500/500
	to 100/100

2005-01-27 13:40  havoc

	* qc/domination.qc: disabled an eprint left over from debuggin

2005-01-27 13:39  havoc

	* qc/dpextensions.qc: NEXUIZ_PLAYERMODEL extension spec

2004-12-02 14:41  havoc

	* qc/havocbot.qc: slight optimization to navigation code

2004-12-01 13:49  havoc

	* qc/dpextensions.qc: modified PRYDON_CLIENTCURSOR extension to
	reset cursor_trace_ent to world if the entity it is referencing is
	currently freed (as requested by FrikaC)

2004-11-30 21:39  havoc

	* qc/dpextensions.qc: added PRYDON_CLIENTCURSOR, DP_BUTTONUSE,
	DP_BUTTONCHAT reinstated DP_ENT_COLORMOD

2004-11-13 14:57  havoc

	* qc/superdomination.qc: forgot to add this file

2004-11-13 03:26  havoc

	* qc/: ai.qc, client.qc, damage.qc, grenade.qc, havocbot.qc,
	impulse_main.qc, m_enforcer.qc, mode_management.qc, modedefs.qc,
	plasma.qc, playermovement.qc, progs.src, trig_original.qc,
	w_system.qc, world.qc: havocbots work again havocbots now use
	DP_SV_BOTCLIENT extension (so they show up on the scoreboard, and
	now call their thinking from SV_PlayerPhysics) a lot of FL_CLIENT
	checking code has been commented out because it is obsolete with
	the DP_SV_BOTCLIENT support added experimental 'super domination'
	mode which is quite incomplete and needs work (a domination-like
	game mode where the objective is to claim all points at once, and
	you can build a certain number of turrets per control point)

2004-11-13 03:21  havoc

	* qc/rocket.qc: added support for detonating rockets inflight

2004-11-13 03:20  havoc

	* qc/domination.qc: fixed a number of bugs in the domination code,
	it works properly now

2004-11-13 03:20  havoc

	* qc/explosion.qc: now uses animated explosion entity rather than
	effect() call, since the effects are not rate limited

2004-11-12 15:18  havoc

	* qc/dpextensions.qc: added DP_SV_BOTCLIENT extension

2004-10-30 06:43  havoc

	* qc/dpextensions.qc: added DP_SV_PING, DP_SV_PUNCHVECTOR, and
	DP_SND_FAKETRACKS extensions sorted all extensions by name gave
	some sound extensions a more concise description with tips on use

2004-10-30 05:03  havoc

	* qc/dpextensions.qc: added DP_CON_SET and DP_CON_SETA extensions

2004-10-23 03:41  havoc

	* qc/dpextensions.qc: added DP_SV_DROPCLIENT extension

2004-10-21 03:15  havoc

	* default.cfg: added bots cvar

2004-10-21 03:14  havoc

	* qc/: damage.qc, explosion.qc, fire.qc, fireball.qc, havocbot.qc,
	inventory.qc, m_boss.qc, m_enforcer.qc, m_hknight.qc, mine.qc,
	rocket.qc, w_system.qc: more tweaks added back flame thrower
	enforcers (but they need tweaking, and the flame thrower needs an
	overhaul) added back flame thrower weapon (needs an overhaul) upped
	cell damage from 30 to 60 and halved fire cell usage or fire rate
	of each energy weapon made havocbots use "bots" cvar instead of
	impulses to add/remove

2004-10-21 03:12  havoc

	* qc/grenade.qc: reduced grenade proximity radius from 50% of
	explosion radius to 25%

2004-10-21 03:09  havoc

	* qc/dpextensions.qc: added a little note about MOVE_HITMODEL not
	caring if an entity is invisible

2004-10-19 00:12  havoc

	* qc/world.qc: renamed world "noise" field to "music" to match q3

2004-10-17 04:14  havoc

	* qc/dpextensions.qc: renamed (and moved) DP_MD3_TAGSINFO to
	DP_QC_GETTAGINFO and corrected its description

2004-10-15 13:25  havoc

	* qc/dpextensions.qc: added DP_LITSPRITES extension spec

2004-10-15 01:03  havoc

	* qc/dpextensions.qc: fixed a typo in DP_GFX_EXTERNALTEXTURES
	explanation of map textures (removed extraneous progs/ in one
	example)

2004-10-13 12:17  havoc

	* qc/dpextensions.qc: updated tracebox technical note (about q1bsp
	limitations)

2004-10-07 22:57  havoc

	* qc/world.qc: fixed samelevel to also work on fraglimit/timelimit
	level end conditions

2004-10-07 22:56  havoc

	* qc/: client.qc, t_damage.qc: enabled spree/combo messages for
	player kills (not just monsters) no longer counts gibbing a corpse
	as a kill

2004-10-03 17:19  havoc

	* maps/: dpdm1.map, dpdm2.map: added source .map files for dpdm1
	and dpdm2

2004-10-02 12:11  havoc

	* qc/ai.qc: forgot to add MONSTER_WANDER constant

2004-10-02 07:02  havoc

	* default.cfg, qc/m_monsters.qc, qc/world.qc: monsterwander cvar
	added, enabling the wandering monster code that was commented out

2004-10-01 11:56  havoc

	* maps/dpdm1.rtlights: rtlights file to make dpdm1 look good and
	fast in realtime mode

2004-10-01 01:49  havoc

	* romi_rtlights.pk3, maps/dm6.rtlights, maps/e1m1.rtlights,
	maps/e1m2.rtlights, maps/e1m3.rtlights, maps/e1m4.rtlights,
	maps/e1m5.rtlights, maps/e1m6.rtlights, maps/e1m7.rtlights,
	maps/e4m6.rtlights, maps/start.rtlights: removed my rtlights files
	added pk3 archive of romi's rtlight files (after I cleaned them a
	little to not include unused info on cubemaps/angles)

2004-10-01 01:48  havoc

	* qc/impulse_main.qc: added +button5 explanation to dphelp

2004-09-27 23:38  havoc

	* qc/dpextensions.qc: implemented DP_EF_NODEPTHTEST extension

2004-09-26 06:46  havoc

	* qc/: client.qc, misc.qc: couple little things

2004-09-26 06:20  havoc

	* default.cfg, qc/mode_management.qc, qc/world.qc: got rid of
	registercvar calls added cvars to default.cfg removed a lot of old
	cvar checks (scratch1 and temp1 and such), now you must use the
	spawnmonsters/damagescale_* cvars instead of the old ones

2004-09-26 06:19  havoc

	* qc/casings.qc: casings now lose 20% of their velocity (in all
	directions) when they bounce, this should make them not slide along
	the floor much

2004-09-26 06:18  havoc

	* qc/visibleweapons.qc: fixed various problems with exterior weapon
	model disappearing, and made it a tag entity so it produces less
	network traffic (and follows player exactly)

2004-09-21 00:03  havoc

	* qc/dpextensions.qc: corrected name of NXQ_GFX_LETTERBOX (it was
	misnamed PXQ_GFX_LETTERBOX, my mistake, sorry)

2004-09-19 22:51  havoc

	* qc/dpextensions.qc: added PXQ_GFX_LETTERBOX extension

2004-09-14 21:01  havoc

	* qc/w_system.qc: [no log message]

2004-09-14 20:17  havoc

	* qc/: bullets.qc, casings.qc, client.qc, damage.qc, decals.qc,
	m_soldier.qc, raddamage.qc, w_system.qc, world.qc: can't think of a
	good description, shotguns do more damage now and dbshotgun fires
	more often, nails stick in walls and can be knocked loose, casings
	are mostly gone (too much bandwidth), falling damage reduced to 5
	(regardless of fall speed) because it kept killing things from
	rockets to the head

2004-09-12 21:54  havoc

	* qc/dpextensions.qc: corrected TENEBRAE_GFX_DLIGHTS documentation
	regarding cubemaps numbered below 16

2004-09-11 13:24  havoc

	* env/: sky1_dpzoo_bk.tga, sky1_dpzoo_dn.tga, sky1_dpzoo_ft.tga,
	sky1_dpzoo_lf.tga, sky1_dpzoo_rt.tga, sky1_dpzoo_up.tga: Tomaz
	converted the sky images to 8bit RLE tga to save space

2004-09-11 12:54  havoc

	* env/: sky1_dpzoo_bk.jpg, sky1_dpzoo_dn.jpg, sky1_dpzoo_ft.jpg,
	sky1_dpzoo_lf.jpg, sky1_dpzoo_rt.jpg, sky1_dpzoo_up.jpg: jpeg is
	too low quality for skybox

2004-09-11 12:41  tomaz

	* env/: sky1_dpzoo_bk.jpg, sky1_dpzoo_dn.jpg, sky1_dpzoo_ft.jpg,
	sky1_dpzoo_lf.jpg, sky1_dpzoo_rt.jpg, sky1_dpzoo_up.jpg: Turned
	skybox into jpg's to save space.

2004-09-11 12:31  tomaz

	* env/: sky1_dpzoo_bk.tga, sky1_dpzoo_dn.tga, sky1_dpzoo_ft.tga,
	sky1_dpzoo_lf.tga, sky1_dpzoo_rt.tga, sky1_dpzoo_up.tga: Last try.

2004-09-11 12:15  tomaz

	* env/: sky1_dpzoo_bk.tga, sky1_dpzoo_dn.tga, sky1_dpzoo_ft.tga,
	sky1_dpzoo_lf.tga, sky1_dpzoo_rt.tga, sky1_dpzoo_up.tga: Thanks to
	Zenex for donating this skybox.

2004-09-11 12:10  tomaz

	* maps/: dpzoo.bsp, dpzoo.map: Added a sky key to the map so if it
	finds a skybox named sky1_dpzoo_ it uses it automagically.

2004-09-11 10:41  tomaz

	* textures/: floor1_dpzoo.jpg, floor2_dpzoo.jpg, pipe1_dpzoo.jpg,
	roof1_dpzoo.jpg, wall1_dpzoo.jpg, window1_dpzoo.jpg: A couple of
	hires textures for the dpzoo map.

2004-09-11 10:39  tomaz

	* maps/: dpzoo.bsp, dpzoo.lit, dpzoo.map, dpzoo.wad: Made a
	dpzoo.wad and made the dpzoo map use all legal textures.

2004-09-10 17:41  tomaz

	* maps/: dpzoo.bsp, dpzoo.lit, dpzoo.map: Added the first version
	of the dpzoo map. Shows off translucent objects, colored lights,
	rain and snow.

2004-09-09 10:56  havoc

	* qc/t_radiusdamage.qc: make rockets fired point blank at a monster
	not fail to do radiusdamage just because they're inside the player
	box

2004-09-09 10:10  tomaz

	* qc/mode_management.qc: Fixed a bug in the new spawn for
	monster_fish in deathmatch 7.

2004-09-09 10:00  tomaz

	* qc/t_damage.qc: Someone said this would fix the issue about
	getting 2 frags for monsters in deathmatch 7.

2004-09-09 09:31  tomaz

	* qc/client.qc: Yet more spree message fixes.

2004-09-09 09:13  tomaz

	* qc/client.qc: Fixed a few issues with the combo and spree message
	code.

2004-09-08 23:10  tomaz

	* qc/client.qc: Urre added combo kill detection; rapid burst of
	kills.	He also added killing spree reporting; how many kills since
	spawn when you die, as well as announcing when you hit certain
	numbers of kills.

2004-09-08 23:06  tomaz

	* qc/: bullets.qc, decals.qc, w_system.qc: Urre added back nails in
	walls.	He also changed bullettype values for nailgun and
	supernailgun.

2004-09-08 22:56  tomaz

	* qc/mode_management.qc: Urre added rotfish to spawnmonsters code
	(only spawn if they land in water)

2004-09-08 22:52  tomaz

	* qc/ai.qc: Forgot to make anglemod return v. (Thanks Urre)

2004-09-07 14:49  tomaz

	* qc/ai.qc: Modified anglemod to be able to recover from extremely
	large angles numbers.

2004-09-07 14:15  tomaz

	* qc/m_soldier.qc: Made grunts reload less often, every 10 shotgun
	shells.

2004-09-01 01:05  havoc

	* qc/dpextensions.qc: added DP_QC_FINDFLAGS and
	DP_QC_FINDCHAINFLAGS extensions

2004-08-30 18:31  havoc

	* qc/menu/msys.qc: Zenex corrected K_ codes, thanks Zenex

2004-08-28 08:57  tomaz

	* progs/v_dplight.mdl: Fixed some interpolation issues on the
	lightning gun.

2004-08-27 02:01  havoc

	* qc/sv_user.qc: Although not used by dpmod itself, this sample
	player movement code for other mods to use seems best kept in dpmod
	cvs

2004-08-13 17:59  havoc

	* qc/dpextensions.qc: clarified PFLAGS_ handling in lights

2004-08-08 14:59  havoc

	* qc/: rocket.qc, w_system.qc: more of the usual weapon tweaks,
	plasma rifle changed a lot (probably too powerful), plasma wave
	fixed (single shot is now a lot weaker, wave is now stronger),
	rockets accelerate again...

2004-08-08 14:56  havoc

	* qc/raddamage.qc: radius damage no longer goes through enemies

2004-08-08 14:55  havoc

	* qc/plasma.qc: plasma lives longer (now can cross corner to corner
	in dpdm2 even at slow speeds like 1000)

2004-08-08 14:04  tomaz

	* qc/dpextensions.qc: Fixed the missing colorlength param on
	te_explosion2

2004-08-06 03:23  havoc

	* qc/world.qc: falling height matters again (in how much damage is
	done)

2004-08-06 03:21  havoc

	* qc/: inventory.qc, t_damage.qc, t_radiusdamage.qc: removed some
	unused local variables

2004-08-06 01:02  havoc

	* qc/dpextensions.qc: added DP_QC_MULTIPLETEMPSTRINGS extension
	documentation

2004-07-22 06:41  molivier

	* qc/dpextensions.qc: Added 3 new DP extensions:
	DP_SND_DIRECTIONLESSATTNNONE, DP_SND_OGGVORBIS and DP_SND_STEREOWAV

2004-05-22 14:20  havoc

	* qc/util.qc: corrected a typo

2004-05-21 19:33  havoc

	* qc/: client.qc, impulse_main.qc, item_weapons.qc, util.qc,
	w_system.qc: added some interesting parm encoding stuff to
	util.qc/impulse_main.qc miscellaneous little changes to
	client/weapons singleplayer now spawns in maps that have only
	deathmatch starts

2004-05-21 19:10  havoc

	* qc/m_monsters.qc: spawn monsterinwall warnings (spike balls) only
	in developer 1 mode

2004-05-18 22:52  havoc

	* qc/darkplaces.def: thanks to Zenex who made this new dpmod entity
	file (making darkp.qc obsolete)

2004-05-16 23:04  havoc

	* qc/mctf.qc: forgot to add this

2004-03-20 00:38  black

	* qc/menu/mbuiltin.qc: Added some builtins I guess..

2004-03-16 01:48  havoc

	* qc/: CTF.qc, ai.qc, bullets.qc, buttons.qc, casings.qc,
	client.qc, damage.qc, defs.qc, doors.qc, explosion.qc, fire.qc,
	fireball.qc, footstep.qc, gore.qc, grenade.qc, havocbot_roles.qc,
	impulse_main.qc, inventory.qc, item_ammo.qc, item_armor.qc,
	item_artifacts.qc, item_backpacks.qc, item_health.qc,
	item_weapons.qc, itemstuff.qc, lightning.qc, m_boss.qc, m_demon.qc,
	m_dog.qc, m_enforcer.qc, m_fish.qc, m_hknight.qc, m_knight.qc,
	m_ogre.qc, m_shalrath.qc, m_shambler.qc, m_soldier.qc,
	m_tarbaby.qc, m_wizard.qc, m_zombie.qc, mine.qc, misc.qc,
	mode_management.qc, modedefs.qc, plats.qc, playermovement.qc,
	progs.src, rocket.qc, rotate.qc, spotlights.qc, subs.qc,
	t_radiusdamage.qc, teamplay.qc, trig_original.qc, w_defs.qc,
	w_system.qc, world.qc, xplowall.qc: highly experimental beginnings
	of GAME_NEXUIZ support (untested and incomplete) various weapon
	changes I've forgotten (as usual)

2004-03-15 22:49  coderjoe

	* quake.rc: fix newlines. (missed one)

2004-03-15 22:40  coderjoe

	* default.cfg, qc/CTF.qc, qc/ai.qc, qc/bullets.qc, qc/buttons.qc,
	qc/casings.qc, qc/cheatcode.qc, qc/client.qc, qc/damage.qc,
	qc/damagetype.qc, qc/darkp.qc, qc/decals.qc, qc/decors.qc,
	qc/defs.qc, qc/domination.qc, qc/doors.qc, qc/dpextensions.qc,
	qc/explosion.qc, qc/fight.qc, qc/finalarenamaps.qc, qc/fire.qc,
	qc/fireball.qc, qc/flash.qc, qc/fog.qc, qc/footstep.qc,
	qc/forcefield.qc, qc/gibcomments.qc, qc/gore.qc, qc/halflife.qc,
	qc/havocbot.qc, qc/impulse_main.qc, qc/invisiblewall.qc,
	qc/item_ammo.qc, qc/item_armor.qc, qc/item_artifacts.qc,
	qc/item_backpacks.qc, qc/item_health.qc, qc/item_keys.qc,
	qc/item_legacystuff.qc, qc/item_sigil.qc, qc/item_weapons.qc,
	qc/itemstuff.qc, qc/lag.qc, qc/lightning.qc, qc/localdamage.qc,
	qc/m_boss.qc, qc/m_demon.qc, qc/m_dog.qc, qc/m_enforcer.qc,
	qc/m_fish.qc, qc/m_hknight.qc, qc/m_knight.qc, qc/m_monsters.qc,
	qc/m_ogre.qc, qc/m_oldone.qc, qc/m_shalrath.qc, qc/m_shambler.qc,
	qc/m_soldier.qc, qc/m_tarbaby.qc, qc/m_wizard.qc, qc/m_zombie.qc,
	qc/mine.qc, qc/misc.qc, qc/mode_elimination.qc,
	qc/mode_management.qc, qc/modedefs.qc, qc/music.qc, qc/plats.qc,
	qc/player.qc, qc/playermovement.qc, qc/raddamage.qc, qc/rain.qc,
	qc/regen.qc, qc/rotate.qc, qc/shake.qc, qc/spike.qc,
	qc/spotlights.qc, qc/sprintnumdigits.qc, qc/sqrt.qc, qc/stats.qc,
	qc/subs.qc, qc/superdamagesound.qc, qc/t_damage.qc,
	qc/t_radiusdamage.qc, qc/teamplay.qc, qc/think.qc,
	qc/trig_original.qc, qc/trig_playercount.qc, qc/trig_stuffcmd.qc,
	qc/trig_ticker.qc, qc/util.qc, qc/visibleweapons.qc, qc/w_defs.qc,
	qc/w_grapple.qc, qc/waypoint_spawnformap.qc, qc/world.qc,
	qc/xplowall.qc: fix newlines

2004-03-09 22:35  havoc

	* qc/dpextensions.qc: added DP_EF_NOSHADOW and DP_SV_ROTATINGBMODEL
	extension descriptions

2004-03-01 16:23  havoc

	* qc/dpextensions.qc: revised TENEBRAE_GFX_DLIGHTS extension to
	have PFLAG_ constants, and better explain the switch from
	EF_FULLDYNAMIC to PFLAG_FULLDYNAMIC

2004-02-26 18:10  havoc

	* qc/dpextensions.qc: added TENEBRAE_GFX_DLIGHTS extension

2004-02-25 12:14  havoc

	* maps/: b_batt0.bsp, b_batt1.bsp, b_bh10.bsp, b_bh100.bsp,
	b_bh25.bsp, b_exbox2.bsp, b_explob.bsp, b_nail0.bsp, b_nail1.bsp,
	b_rock0.bsp, b_rock1.bsp, b_shell0.bsp, b_shell1.bsp: make them
	binary

2004-02-25 12:12  havoc

	* maps/: b_batt0.bsp, b_batt1.bsp, b_bh10.bsp, b_bh100.bsp,
	b_bh25.bsp, b_exbox2.bsp, b_explob.bsp, b_nail0.bsp, b_nail1.bsp,
	b_rock0.bsp, b_rock1.bsp, b_shell0.bsp, b_shell1.bsp: Tomaz's ammo
	box models (these are really mdl files but named .bsp to override
	the id1 files)

2004-01-29 16:08  havoc

	* qc/: bullets.qc, damage.qc, decals.qc, explosion.qc, fire.qc,
	fireball.qc, gore.qc, grenade.qc, laser.qc, m_boss.qc, m_dog.qc,
	m_enforcer.qc, m_fish.qc, m_hknight.qc, m_knight.qc, m_ogre.qc,
	m_shalrath.qc, m_shambler.qc, m_soldier.qc, m_tarbaby.qc,
	m_wizard.qc, m_zombie.qc, mine.qc, misc.qc, plasma.qc,
	playermovement.qc, rocket.qc, t_radiusdamage.qc, trig_original.qc,
	w_system.qc, xplowall.qc: more experimental weapon stuff (and yes
	most of the changes are the addition of a force parameter to
	T_RadiusDamage and all things which call it, and all things which
	call those things, and ...)

2004-01-28 13:40  havoc

	* qc/: casings.qc, damage.qc, item_weapons.qc, m_soldier.qc,
	mine.qc, w_system.qc: experimental new weapons enabled

2004-01-25 05:09  havoc

	* default.cfg: comment out commands not currently supported by the
	engine to reduce warnings

2004-01-20 03:15  havoc

	* qc/raddamage.qc: CanDamage tracelines need to use inflictor, not
	self (thanks to Urre for finding this bug)

2004-01-11 05:46  havoc

	* qc/w_system.qc: added a bunch of experimental weapons (set temp1
	to 8388608 and sv_cheats to 1, and then use impulse 234 to try
	them)

2004-01-11 05:37  havoc

	* qc/visibleweapons.qc: uncommented VWEP_AXE constant

2004-01-11 05:35  havoc

	* qc/inventory.qc: added a bunch of itemclasses, and more
	importantly changed Inventory_AdjustQuantity to not exceed ammo
	limits

2004-01-11 05:33  havoc

	* qc/impulse_main.qc: added impulse 23 for testing EF_FULLBRIGHT in
	engine

2003-12-17 05:22  havoc

	* qc/m_demon.qc: fixed a bug that was causing CheckDemonJump to
	malfunction (it was forgetting to do makevectors before checking
	the jump), the fiends are hopping mad again

2003-12-16 03:08  havoc

	* qc/dpextensions.qc: added cvar_string extension at the request of
	Paul Timofeyev

2003-12-10 05:39  black

	* qc/menu/readme: Little test #2

2003-12-09 12:51  black

	* qc/menu/readme: little test

2003-12-07 01:48  havoc

	* qc/dpextensions.qc: added DP_LITSUPPORT extension

2003-11-19 03:18  havoc

	* qc/w_system.qc: very very minor fix for the case when there is no
	self.weaponclass (this of course has never happened) it should be
	checking if (self.weaponclass) not if (self.weaponclass.w_func)

2003-11-18 10:12  havoc

	* qc/: w_common.qc, w_dbshotgun.qc, w_fake1.qc, w_fake10.qc,
	w_frame.qc, w_grenade.qc, w_info.qc, w_lightning.qc, w_nailgun.qc,
	w_oldplasmarifle.qc, w_pistol.qc, w_plasmarifle.qc,
	w_plasmawave.qc, w_rocket.qc, w_shotgun.qc, w_supernailgun.qc:
	remove the old obsolete weapon files

2003-11-18 10:02  havoc

	* qc/w_system.qc: move laser rifle to the right spot in the list so
	it cycles properly

2003-11-18 08:33  havoc

	* qc/: inventory.qc, w_system.qc: fixed weapon change animations,
	commented out debugging messages, added back plasma wave, nailgun
	altfire mines, and display of weapons and ammo on statusbar

2003-11-17 19:32  havoc

	* qc/: cheatcode.qc, client.qc, havocbot.qc, impulse_main.qc,
	inventory.qc, item_ammo.qc, item_backpacks.qc, item_weapons.qc,
	m_enforcer.qc, m_ogre.qc, m_soldier.qc, player.qc, progs.src,
	spike.qc, t_damage.qc, w_common.qc, w_dbshotgun.qc, w_defs.qc,
	w_frame.qc, w_grapple.qc, w_grenade.qc, w_info.qc, w_lightning.qc,
	w_nailgun.qc, w_pistol.qc, w_plasmarifle.qc, w_plasmawave.qc,
	w_rocket.qc, w_shotgun.qc, w_supernailgun.qc, w_system.qc: weapon
	code has been migrated to using inventory instead of IT_ flags,
	this meant recoding all the weapons in the new w_system.qc - note
	some weapons added, some not yet re-added, and some have missing
	altfires and such, and statusbar has no inventory info working
	(this will be fixed later)

2003-10-31 11:27  black

	* qc/menu/: mbuiltin.qc, mmanager.qc: Added the isfunction builtin
	function to mbuilin.qc and adapted menu manager.

2003-10-31 07:09  black

	* qc/menu/: cursor.qc, cursor.qh, mcontrols.qc, mcustom.qc,
	mcustom.qh, menu.qc, mfuncs.qc, mmanager.qc, mmanager.qh, msys.qc,
	readme: Changed classname into type, added destroy events to all
	controls and used callfunction for the first time

2003-10-31 07:07  black

	* menu/: main.menu, options.menu: Changed classname into type

2003-10-30 08:43  black

	* menu/: main.menu, options.menu: The main and the first option
	menu is done.

2003-10-30 06:05  black

	* qc/menu/: cursor.qc, cursor.qh, mbuiltin.qc, mcontrols.qc,
	mcontrols.qh, mcustom.qc, mcustom.qh, mfuncs.qc, mfuncs.qh,
	mmanager.qc, mmanager.qh, msys.qc, readme: Added a lot and changed
	almost everything

2003-10-26 13:58  black

	* qc/menu/: mcontrols.qc, mcontrols.qh, mcustom.qc, menu.qc,
	mfuncs.qc, mfuncs.qh, mmanager.qc: Added 3 controls (ITEM_SLIDER,
	ITEM_TEXTSLIDER, ITEM_TEXTSWITCH) and cleaned the constant chaos in
	mcontrol.qh.

2003-10-25 09:24  black

	* qc/menu/: cursor.qh, graphic.qc, mbuiltin.qc, mcontrols.qc,
	mcontrols.qh, mcustom.qc, mfuncs.qc, mmanager.qc, mmanager.qh:
	Added two new controls ITEM_TEXTBUTTON and
	ITEM_BUTTON(unfortunately untested yet) and changed again the code
	of the menu manager

2003-10-24 11:14  black

	* qc/menu/: cursor.qc, cursor.qh, graphic.qc, graphic.qh,
	mbuiltin.qc, mcontrols.qc, mcontrols.qh, mcustom.qc, mcustom.qh,
	menu.qc, menu.qh, mfuncs.qc, mfuncs.qh, mmanager.qc, mmanager.qh,
	progs.src, sound.qc, sound.qh: Some minor changes

2003-10-23 12:43  black

	* qc/menu/: graphic.qc, graphic.qh, mcontrols.qc, mcontrols.qh,
	menu.qc, mfuncs.qc, mfuncs.qh, mmanager.qc, mmanager.qh, progs.src:
	Done a lot of things - many functions are now debugged and/or
	rewritten

2003-10-21 05:03  black

	* qc/menu/: cursor.qc, cursor.qh, graphic.qc, graphic.qh,
	mbuiltin.qc, mcontrols.qc, mcontrols.qh, menu.qc, menu.qh,
	mfuncs.qc, mfuncs.qh, mmanager.qc, mmanager.qh, msys.qc, progs.src,
	sound.qc, sound.qh: Now the gfx 'backend' works (the menu is now
	independent of the console resolution)

2003-10-18 13:29  black

	* qc/menu/: cursor.qc, cursor.qh, mbuiltin.qc, mcontrols.qc,
	mcontrols.qh, menu.qc, menu.qh, mfuncs.qc, mfuncs.qh, mmanager.qc,
	mmanager.qh, msys.qc, progs.src, sound.qc, sound.qh: Not working
	yet.  Mini-Framework - perhaps Electro can use some parts of it, if
	I dont finish till tomorrow.

2003-10-17 07:05  black

	* qc/menu/: mbuiltin.qc, msys.qc, progs.src: Updated mbuiltin
	mainly (all builtin functions are set).  Added a lot of constants
	to msys.

2003-10-10 22:37  havoc

	* qc/: dpextensions.qc, w_frame.qc: added DP_QC_TRACE_MOVETYPES
	extension (purely documentation), DP_QC_TRACE_MOVETYPE_WORLDONLY
	extension, DP_QC_TRACE_MOVETYPE_HITMODEL extension, and test code
	for DP_QC_TRACE_MOVETYPE_HITMODEL extension

2003-10-10 22:36  havoc

	* qc/impulse_main.qc: removed EF_FLAME from test dummies

2003-10-10 22:35  havoc

	* qc/world.qc: kill anything stuck in solid (mainly a workaround
	for monsters falling out of level in deathmatch 7)

2003-10-09 12:52  black

	* qc/menu/: msys.qc, progs.src: Added some constants to msys.qc

2003-10-06 11:43  black

	* qc/menu/: mbuiltin.qc, msys.qc, progs.src: Adding menu qc files

2003-09-18 11:37  havoc

	* qc/playermovement.qc: very unimportant fix to make this compile
	in stock qcc as well as frikqcc (it was missing a ; at the end)

2003-08-28 05:56  havoc

	* qc/: havocbotold_qcwaypoints.qc, havocbotold_qcwaysurfaces.qc:
	these two files haven't been used for a long time, just old code

2003-08-28 05:55  havoc

	* qc/trig_original.qc: fixed jumppads to act more like q3
	(calculates trajectory based on player origin)

2003-08-09 09:53  havoc

	* qc/damage.qc: tweaked tarbabies (larger explosion, easier to
	kill) tweaked ammo dropped by monsters (more of it)

2003-08-09 09:20  havoc

	* qc/: client.qc, damage.qc, dpextensions.qc, havocbot.qc,
	impulse_main.qc, inventory.qc, item_backpacks.qc, m_enforcer.qc,
	m_ogre.qc, m_soldier.qc, mode_management.qc, plasma.qc,
	playermovement.qc, rocket.qc, t_damage.qc, w_common.qc,
	w_dbshotgun.qc, w_defs.qc, w_grenade.qc, w_info.qc, w_lightning.qc,
	w_nailgun.qc, w_pistol.qc, w_plasmarifle.qc, w_plasmawave.qc,
	w_rocket.qc, w_shotgun.qc, w_supernailgun.qc, world.qc: cleaned up
	some weapon code related to havocbot aiming (each weapon aims
	itself now) cleaned up some damage scaling code (fixing the bugs
	that made monsters too tough) added WR_SWITCH request to clean up a
	little code

2003-07-30 17:42  havoc

	* qc/dpextensions.qc: updated DP_GFX_SKINFILES extension to
	describe quake3 syntax skin files

2003-07-27 00:01  havoc

	* qc/: client.qc, inventory.qc, item_ammo.qc, item_weapons.qc,
	w_dbshotgun.qc, w_shotgun.qc: removed explosive slugs from the
	shotguns (and explosive shell ammo is gone as well)

2003-07-26 23:19  havoc

	* qc/: inventory.qc, m_monsters.qc: fixed empty backpack bug (by
	reverting to using items for ammo) and made monsters convert their
	quake inventory to inventory when spawning (just incase anyone put
	an ammo count in the monster entity)

2003-07-26 21:50  havoc

	* qc/dpextensions.qc: updated DP_GFX_SKINFILES extension to
	properly describe the new handling of nodraw

2003-07-26 02:35  havoc

	* qc/dpextensions.qc: clarified SKINFILES extension to mention that
	it replaces a shader based on a meshname

2003-07-25 02:19  havoc

	* qc/dpextensions.qc: added DP_GFX_SKINFILES and
	DP_GFX_QUAKE3MODELTAGS extensions

2003-07-22 12:21  havoc

	* qc/dpextensions.qc: renumbered TE_SMALLFLASH and TE_CUSTOMFLASH
	to their proper numbers 72 and 73 (anyone using the te_ builtins
	need not worry about this), thanks to SeienAbunae for finding this
	bug

2003-07-18 12:08  havoc

	* qc/: client.qc, fireball.qc, item_artifacts.qc, regen.qc,
	t_damage.qc: Fury (potentially eternal) reverted to Quad (30
	second)

2003-07-16 09:08  havoc

	* progs/bit.mdl: forgot this!

2003-07-16 05:16  havoc

	* default.cfg, qc/gibcomments.qc, qc/item_sigil.qc,
	qc/item_weapons.qc, qc/m_boss.qc, qc/m_demon.qc, qc/m_dog.qc,
	qc/m_enforcer.qc, qc/m_fish.qc, qc/m_hknight.qc, qc/m_knight.qc,
	qc/m_ogre.qc, qc/m_shalrath.qc, qc/m_shambler.qc, qc/m_soldier.qc,
	qc/m_tarbaby.qc, qc/m_wizard.qc, qc/mine.qc, qc/mode_management.qc,
	qc/t_damage.qc, qc/w_dbshotgun.qc, qc/w_grapple.qc,
	qc/w_grenade.qc, qc/w_lightning.qc, qc/w_nailgun.qc,
	qc/w_oldplasmarifle.qc, qc/w_pistol.qc, qc/w_plasmarifle.qc,
	qc/w_plasmawave.qc, qc/w_rocket.qc, qc/w_shotgun.qc,
	qc/w_supernailgun.qc, qc/world.qc: moved damagescale code to
	T_Damage and made it more clear that it is for players only by
	naming it playerdamagescale coop setting no longer scales monster
	health per say, but instead damage received from players, and thus
	migrates to T_Damage as well, this means coop setting can change
	during a level bullet speeds raised a bit sv_maxvelocity raised to
	100000 (approximately mach 15 I think?)

2003-07-12 04:42  havoc

	* progs/tar_gib.mdl, qc/m_tarbaby.qc: tarbaby gibs make a comeback

2003-07-12 04:41  havoc

	* qc/dpextensions.qc: documented DP_HALFLIFE_MAP_CVAR extension

2003-07-12 04:40  havoc

	* qc/client.qc: frags and obit messages for monsters in deathmatch

2003-07-12 03:02  havoc

	* qc/: client.qc, domination.qc, havocbot_roles.qc, inventory.qc,
	item_ammo.qc, item_backpacks.qc, item_weapons.qc, m_enforcer.qc,
	m_ogre.qc, m_soldier.qc, mode_management.qc, modedefs.qc,
	player.qc, w_dbshotgun.qc, w_grenade.qc, w_info.qc, w_lightning.qc,
	w_nailgun.qc, w_oldplasmarifle.qc, w_plasmarifle.qc,
	w_plasmawave.qc, w_rocket.qc, w_shotgun.qc, w_supernailgun.qc:
	inventory... changed...

2003-07-12 03:02  havoc

	* qc/dpextensions.qc: added DP_GFX_EXTERNALTEXTURES extension
	documentation

2003-06-23 03:21  havoc

	* qc/m_ogre.qc: make ogre grenades detonate on impact with
	creatures

2003-06-11 02:07  havoc

	* qc/: client.qc, damage.qc, dpextensions.qc, havocbot_roles.qc,
	havocbotold_qcwaypoints.qc, havocbotold_qcwaysurfaces.qc,
	inventory.qc, item_ammo.qc, item_backpacks.qc, item_weapons.qc,
	m_enforcer.qc, m_ogre.qc, m_soldier.qc, modedefs.qc, player.qc,
	progs.src, w_dbshotgun.qc, w_frame.qc, w_grenade.qc, w_info.qc,
	w_lightning.qc, w_nailgun.qc, w_oldplasmarifle.qc,
	w_plasmarifle.qc, w_plasmawave.qc, w_rocket.qc, w_shotgun.qc,
	w_supernailgun.qc: small change (hah!) - .ammo_shells, .ammo_nails,
	.ammo_rockets, .ammo_cells, and .ammo_xshells ceased to exist
	(except for updateammodisplay), replaced by a general item system
	which will grow to be far more useful than just keeping track of
	ammo counts, but it has to start somewhere...  inventory.qc
	contains the relevant functions.  grenade launcher now fires impact
	grenades (again) because pipebombs just weren't very useful and the
	bots were clueless about them anyway

2003-06-08 01:02  havoc

	* qc/: item_weapons.qc, m_enforcer.qc, plasma.qc, progs.src,
	w_common.qc, w_dbshotgun.qc, w_defs.qc, w_frame.qc, w_grapple.qc,
	w_grenade.qc, w_lightning.qc, w_nailgun.qc, w_pistol.qc,
	w_plasmarifle.qc, w_plasmawave.qc, w_rocket.qc, w_shotgun.qc,
	w_supernailgun.qc: changed how weapon firing works again (the
	W_ShotsToFire function returns how many shots to fire this frame,
	moves a bit more of the work to the individual weapon code)
	modified the weapons (I don't even remember what changes I made,
	sorry) added lightning gun back and...	the long awaited return of
	the plasma wave cannon; never before seen in a public release

2003-06-08 00:56  havoc

	* qc/impulse_main.qc: added a test for
	KRIMZON_SV_PARSECLIENTCOMMAND

2003-06-08 00:54  havoc

	* qc/: halflife.qc, playermovement.qc: added support for swimming
	in halflife water entities

2003-06-08 00:52  havoc

	* qc/dpextensions.qc: documented more extensions added credits to
	each extension (for whose idea it was, and who coded the darkplaces
	implementation)

2003-06-08 00:50  havoc

	* qc/decors.qc: now removes up to 10000 decors per frame (yes this
	was necessary in helm18 when testing really insane weaponry)

2003-04-14 15:24  havoc

	* qc/dpextensions.qc: documented TW_STEPCONTROL which I had
	forgotten to document before sorted extensions by name

2003-04-09 20:24  havoc

	* qc/: casings.qc, client.qc, grenade.qc, havocbot.qc,
	m_soldier.qc, mine.qc, w_dbshotgun.qc, w_grenade.qc, w_info.qc,
	w_nailgun.qc, w_pistol.qc, w_shotgun.qc, w_supernailgun.qc: weapon
	tweaks...  I can't remember what I did :P

2003-04-09 20:22  havoc

	* qc/impulse_main.qc: added FRIK_FILE testing impulses

2003-04-09 20:21  havoc

	* qc/dpextensions.qc: updated extension list, added FRIK_FILE and
	other things

2003-04-03 10:22  havoc

	* progs/: casing_bronze.mdl, casing_shell.mdl, casing_steel.mdl:
	new casing models from Tomaz, they sit closer to the ground now and
	the shotgun shell is a bit shorter

2003-03-15 22:01  havoc

	* qc/w_plasmarifle.qc: added a self kill message for plasma rifle

2003-03-11 12:48  havoc

	* progs/: casing_bronze.mdl, casing_shell.mdl, casing_steel.mdl,
	v_dplight.mdl, v_dpnail.mdl, v_dpnail2.mdl, v_dprock.mdl,
	v_dprock2.mdl, v_dpshot.mdl, v_dpshot2.mdl: new models from Tomaz,
	removed muzzleflash and other improvements to weapons, also the
	casings no longer float above the floor

2003-03-11 11:31  havoc

	* qc/casings.qc: casings are kicked around by blasts more

2003-03-11 11:30  havoc

	* qc/damage.qc: now spawn with 20 shells in DM and SP

2003-03-11 11:28  havoc

	* qc/impulse_main.qc: added a couple thorough tests of
	viewmodelforclient

2003-03-11 11:28  havoc

	* qc/item_ammo.qc: don't spawn xshells boxes

2003-03-11 11:27  havoc

	* qc/item_weapons.qc: no longer gives xshells when picking up db
	shotgun

2003-03-11 11:25  havoc

	* qc/w_grenade.qc: smaller blast radius

2003-03-11 11:24  havoc

	* qc/w_pistol.qc: more powerful pistol

2003-03-11 11:22  havoc

	* qc/w_plasmarifle.qc: new triple barrel plasma cannon, barrels
	firing in sequence for rapid spew, or overload for hefty damage

2003-03-11 11:21  havoc

	* qc/t_damage.qc: monsters are now worth frags

2003-03-11 11:18  havoc

	* qc/w_rocket.qc: switched back to dual rocket launcher

2003-03-11 11:17  havoc

	* qc/: w_dbshotgun.qc, w_shotgun.qc: rebalanced, now 50 damage per
	shell

2003-02-27 21:15  havoc

	* qc/: mine.qc, w_grenade.qc: grenade launcher changed quite a bit
	(hit altfire to cycle modes or detonate sticky grenades)

2003-02-27 21:14  havoc

	* qc/explosion.qc: add a flash to the explosive slugs

2003-02-27 21:13  havoc

	* qc/: bullets.qc, grenade.qc, rocket.qc: make explosions back off
	a bit from the impact point (mainly to make them look better
	(lighting up wall they hit), has some effect on damage however)

2003-02-26 01:10  havoc

	* qc/impulse_main.qc: add note about +button4 to dphelp command

2003-02-22 01:27  havoc

	* qc/w_dbshotgun.qc: explosive slugs like the single barrel, a
	little weaker though (85 damage instead of 95 - that makes 170 for
	both barrels)

2003-02-22 01:26  havoc

	* qc/havocbot.qc: fix a very stupid uninitialized variable bug in
	havocbot_movetogoal also change the velocity multiplier for
	lava/slime checks from 0.2 to 0.3, thanks to Electro's playtesting
	(he found this works perfectly for the moving platforms in dm2 and
	other lava pits)

2003-02-22 00:32  havoc

	* maps/: dm6.rtlights, dpdm2.rtlights, e1m1.rtlights,
	e1m2.rtlights, e1m3.rtlights, e1m4.rtlights, e1m5.rtlights,
	e1m6.rtlights, e1m7.rtlights, e4m6.rtlights, start.rtlights: files
	to improve lighting in realtime lighting mode, especially lighting
	performance

2003-02-20 01:04  havoc

	* qc/: ai.qc, fight.qc, world.qc: limited monster AI and
	creaturecode to only executing FindTarget and creaturecode and such
	on 200 creatures per frame this massively sped up helm18 optimized
	monster AI a lot, merged functions, etc

2003-02-20 01:02  havoc

	* qc/havocbot.qc: now keeps a list of active bots to avoid using
	find each frame

2003-02-20 01:01  havoc

	* qc/: casings.qc, decors.qc, gore.qc, m_zombie.qc: optimized decor
	counting (now keeps count in numdecors instead of checking each
	frame, sped up helm18 a bit), limited number of iterations on decor
	removal in case it might cause a runaway loop

2003-02-20 00:58  havoc

	* qc/progs.src: forgot this in the weapon commit

2003-02-20 00:58  havoc

	* qc/: mine.qc, w_dbshotgun.qc, w_grenade.qc, w_nailgun.qc,
	w_pistol.qc, w_plasmarifle.qc, w_shotgun.qc, w_supernailgun.qc:
	shotgun added back (fires explosive slugs) dbshotgun now fires only
	buckshot pistol moved to slot 1 plasma rifle no longer has zoom
	button, altfire fires 3x shot power (same behavior as before when
	zoomed), recommend use of +button4 for zoom grenade launcher now
	fires remote explosives (radio detonate with altfire or shoot them
	with a suitable weapon) mines now do impact damage when they hit
	something

2003-02-20 00:53  havoc

	* qc/client.qc: calls checkinvalidteam(); now, forgot this from the
	mode_management.qc commit

2003-02-20 00:52  havoc

	* qc/m_monsters.qc: whitespace

2003-02-20 00:51  havoc

	* qc/m_hknight.qc: checking for a charge attack now uses visible()
	instead of enemy_vis (trying to narrow down enemy_vis to eliminate
	it)

2003-02-20 00:49  havoc

	* qc/m_dog.qc: demon jump improvements ported over

2003-02-20 00:48  havoc

	* qc/m_soldier.qc: some optimizations to CheckAttack code

2003-02-20 00:47  havoc

	* qc/: m_shambler.qc, m_ogre.qc: unnecessary enemy_vis check

2003-02-20 00:44  havoc

	* qc/mode_management.qc: no longer constantly updates team stats
	every frame, this gives a good speed boost on helm18

2003-02-20 00:44  havoc

	* qc/w_frame.qc: added .float idealzoom since this file uses it

2003-02-20 00:42  havoc

	* qc/m_wizard.qc: removed an unnecessary use of enemy_vis, and
	fixed AttackFinished to not use enemy_range and enemy_vis because
	they're not initialized at that point

2003-02-13 18:47  havoc

	* qc/: bullets.qc, casings.qc, client.qc, damage.qc, explosion.qc,
	item_ammo.qc, item_weapons.qc, m_soldier.qc, mine.qc, progs.src,
	w_dbshotgun.qc, w_fake1.qc, w_nailgun.qc, w_oldplasmarifle.qc,
	w_pistol.qc, w_plasmarifle.qc, w_shotgun.qc, w_supernailgun.qc: I
	made these changes a long time ago but never committed them until
	now...	my memory is hazy on these...  single barreled shotgun is
	gone, now spawn with pistol as weapon 2 (weapon slot 1 empty) added
	switchable modes on weapons, more specifically the double barreled
	shotgun can use explosive slugs (use +button5 to switch if I
	remember correctly) plasma gun is reworked entirely again (rapid
	fire in bursts, altfire zooms and makes it fire more powerful shots
	but burst runs out sooner) FireBullets reworked to take lots of
	parameters again (supporting old qcc's is pointless)

2003-02-13 18:42  havoc

	* qc/impulse_main.qc: more admin impulses added (slowmo,
	sys_ticrate, etc)

2003-02-13 18:41  havoc

	* qc/m_zombie.qc: zombies heal half as fast now

2003-02-13 18:41  havoc

	* qc/itemstuff.qc: no teleport splash for item respawns

2003-02-13 18:40  havoc

	* qc/misc.qc: cleaned up exploding box code a lot (now uses shared
	code for most of it) flames are static again

2003-02-13 18:38  havoc

	* qc/w_rocket.qc: fire triple spiral rockets less often (1.0 refire
	instead of 0.4)

2003-02-13 18:33  havoc

	* progs/: casing_bronze.mdl, casing_shell.mdl, casing_steel.mdl:
	new casing models from Tomaz (thanks!)

2003-02-13 18:30  havoc

	* qc/player.qc: fix potential runaway loop on servers that have
	been running for a very long time (detected this bug because my
	server kept crashing eventually)

2002-11-18 23:49  havoc

	* qc/: client.qc, item_artifacts.qc, regen.qc, t_damage.qc: Quad
	has become Fury once again...  Fury is a vampiric quad with rapidly
	rotting health.

2002-11-15 05:37  havoc

	* qc/w_plasmarifle.qc: fixed plasma rifle "splattered" kill message

2002-11-15 05:10  havoc

	* qc/impulse_dead.qc: no longer used

2002-11-15 04:59  havoc

	* qc/: bullets.qc, client.qc, grenade.qc, impulse_main.qc,
	m_demon.qc, m_enforcer.qc, mine.qc, mode_management.qc, plasma.qc,
	player.qc, progs.src, rocket.qc, t_damage.qc, w_dbshotgun.qc,
	w_frame.qc, w_grapple.qc, w_grenade.qc, w_nailgun.qc, w_pistol.qc,
	w_plasmarifle.qc, w_rocket.qc, w_shotgun.qc, w_supernailgun.qc:
	damagescale is now applied by the player weapons themselves,
	instead of the missile spawn code, this cures the monster weapon
	damage being affected by temp1 damage scaling the view kick from
	damage now has a origin kick in addition to the angle kick
	EvenWhenDeadImpulses is now merged into ImpulseCommands (this gets
	rid of impulse_dead.qc) a few warnings fixed simplified monster
	spawning code a bit - they no longer walk around before spawning
	simplified fiend jump code a bit - they only care if jumping right
	now would hit the player (this makes them jump in even more
	situations :) removed some cruft from the fiend jump code weapon
	punchangle kicks now affect aiming plasma rifle now has a " was
	splattered by " "'s plasma rifle" message experimented with
	chargeup plasma rifle, but ended up reverting to mostly the same as
	before, except now it fires infrequently and hits a lot harder (120
	damage for normal shot which costs 1 cell, 600 damage for sniper
	shot which costs 5 cells)

2002-11-15 04:37  havoc

	* qc/m_zombie.qc: fix zombie heads never recycling (this cures the
	problem with deathmatch 7 eventually running out of monsters)

2002-11-15 02:44  havoc

	* qc/explosion.qc: fixed a redeclaration of e in BecomeExplosion

2002-09-28 01:25  havoc

	* qc/w_rocket.qc: changed back to triple barrel spiral rocket
	launcher...  toned down spiral damage a bit however (120 for main
	rocket, 80 for the extra two, 280 total)

2002-09-27 23:59  havoc

	* qc/: rocket.qc, w_rocket.qc: code for spiralling rockets (not
	used, because 3 rockets was just too powerful) rocket launcher is
	now a dual rocket launcher - alternates left and right, or fire
	both with button3

2002-09-27 23:45  havoc

	* qc/sprintnumdigits.qc: whitespace

2002-09-27 23:23  havoc

	* qc/playermovement.qc: add back a little air control, need it for
	jumping up steps to work right (e1m1 secret at start for example)

2002-09-27 23:19  havoc

	* qc/w_frame.qc: fix website URL

2002-09-21 04:09  havoc

	* progs/a_rock4.mdl, progs/a_rock8.mdl, progs/a_shell1.mdl,
	progs/a_shell2.mdl, progs/casing.mdl, progs/dpexplosion.spr32,
	progs/flag.mdl, progs/playergun.mdl, progs/playernogun.mdl,
	progs/rubble1.mdl, progs/rubble2.mdl, progs/rubble3.mdl,
	progs/star.mdl, progs/v_dplight.mdl, progs/v_dpnail.mdl,
	progs/v_dpnail2.mdl, progs/v_dprock.mdl, progs/v_dprock2.mdl,
	progs/v_dpshot.mdl, progs/v_dpshot2.mdl, dpdemo1.dem, dpdemo2.dem,
	progs/muzzleflash.spr32, progs/plasmashot.spr32,
	progs/torchflamebase.spr32, progs/torchflametop.spr32,
	sound/explo2.wav, sound/fire/burn.wav, sound/fire/launch.wav,
	sound/misc/flagcap.wav, sound/misc/flagtk.wav,
	sound/misc/foot1.wav, sound/misc/foot2.wav, sound/misc/foot3.wav,
	sound/misc/foot4.wav, sound/misc/foot5.wav, sound/misc/foot6.wav,
	sound/misc/foot7.wav, sound/plasma/plasexpl.wav,
	sound/plasma/plasma.wav, sound/weapons/bounce2.wav,
	sound/weapons/bsgload.wav, sound/weapons/bsgnoammo.wav,
	sound/weapons/chain1.wav, sound/weapons/chain2.wav,
	sound/weapons/chain3.wav, sound/weapons/bomb/fire.wav,
	sound/weapons/bomb/trigger.wav: trying to make these binary

2002-09-21 03:10  havoc

	* qc/gore.qc: don't attack corpses and heads

2002-09-21 03:07  havoc

	* qc/havocbot.qc: don't shoot friends in coop

2002-09-19 23:02  havoc

	* qc/mine.qc: absolute velocity instead of relative

2002-09-19 22:59  havoc

	* qc/: rocket.qc, w_common.qc, w_dbshotgun.qc, w_defs.qc,
	w_grapple.qc, w_grenade.qc, w_nailgun.qc, w_pistol.qc,
	w_plasmarifle.qc, w_rocket.qc, w_shotgun.qc, w_supernailgun.qc:
	many weapon changes plasma now has sort of a 'charge' behavior - if
	you stop firing the charge is reset to 8 cells, if you keep firing
	it depletes the charge, when it runs out it has to reload (takes
	just .2 seconds - 2 shots worth of time), if firing in sniper mode
	it depletes the entire remaining charge (presumably this is a full
	charge, since it's unlikely you would zoom in while firing rapidly)
	rocket launcher can load up to 3 rockets (hold altfire until it has
	loaded 2, or 3, use primary to fire them) rocket launcher now has a
	new death message for multiple rocket attacks - '* met a rocket
	storm from *' grenade launcher primary fire is now impact grenades,
	altfire is proximity grenades W_GenericFireCode has been split into
	W_GenericRapidFireCode (which keeps the existing behavior) and
	W_GenericSlowFireCode (which has none of the weird attack_finished
	hacking or other nuisances) some cruft removed some code cleaning
	grenades no longer have momentum of player firing them (absolute
	velocity instead of relative)

2002-09-19 22:51  havoc

	* qc/: bullets.qc, plasma.qc: velocity is now absolute, not
	relative to owner

2002-09-19 22:44  havoc

	* qc/havocbot.qc: lots of cruft removed the floor surface
	navigation now works, the bots are playable in any simple map
	(bmodels are not understood, nor is water)

2002-09-19 22:39  havoc

	* qc/: gore.qc, t_damage.qc: allow damage to heads and gibs without
	causing th_die, this allows detection of severe gibbings from
	multiple rockets and other such situations

2002-09-19 22:36  havoc

	* qc/item_artifacts.qc: artifacts no longer glow

2002-09-19 22:35  havoc

	* qc/havocbot_roles.qc: removed lots of dead code

2002-09-19 22:32  havoc

	* qc/playermovement.qc: removed tabs on otherwise empty line

2002-09-19 12:07  havoc

	* qc/: CTF.qc, w_rocket.qc, m_soldier.qc, w_frame.qc, damage.qc,
	w_info.qc, bullets.qc, lightning.qc, m_monsters.qc, darkp.qc,
	gibcomments.qc, m_demon.qc, regen.qc, stats.qc, decals.qc,
	impulse_main.qc, lag.qc, w_grapple.qc, localdamage.qc,
	sprintnumdigits.qc, superdamagesound.qc, t_radiusdamage.qc,
	trig_original.qc, m_hknight.qc, w_pistol.qc, m_fish.qc, m_ogre.qc,
	raddamage.qc, impulse_dead.qc, m_oldone.qc, m_shalrath.qc,
	w_supernailgun.qc, finalarenamaps.qc, flash.qc, music.qc, util.qc,
	dpextensions.qc, fireball.qc, m_enforcer.qc, m_knight.qc,
	m_zombie.qc, think.qc, visibleweapons.qc, m_wizard.qc,
	w_dbshotgun.qc, gore.qc, playermovement.qc, footstep.qc,
	modedefs.qc, rain.qc, damagetype.qc, mode_management.qc, sqrt.qc,
	w_plasmarifle.qc, waypoint_spawnformap.qc,
	havocbotold_qcwaysurfaces.qc, halflife.qc, plasma.qc, world.qc,
	havocbot_roles.qc, laser.qc, rocket.qc, domination.qc, grenade.qc,
	teamplay.qc, havocbotold_qcwaypoints.qc, fog.qc,
	mode_elimination.qc, trig_playercount.qc, trig_stuffcmd.qc,
	trig_ticker.qc: the darkplaces quake mod

2002-09-19 12:07  havoc

	* qc/: CTF.qc, w_rocket.qc, m_soldier.qc, w_frame.qc, damage.qc,
	w_info.qc, bullets.qc, lightning.qc, m_monsters.qc, darkp.qc,
	gibcomments.qc, m_demon.qc, regen.qc, stats.qc, decals.qc,
	impulse_main.qc, lag.qc, w_grapple.qc, localdamage.qc,
	sprintnumdigits.qc, superdamagesound.qc, t_radiusdamage.qc,
	trig_original.qc, m_hknight.qc, w_pistol.qc, m_fish.qc, m_ogre.qc,
	raddamage.qc, impulse_dead.qc, m_oldone.qc, m_shalrath.qc,
	w_supernailgun.qc, finalarenamaps.qc, flash.qc, music.qc, util.qc,
	dpextensions.qc, fireball.qc, m_enforcer.qc, m_knight.qc,
	m_zombie.qc, think.qc, visibleweapons.qc, m_wizard.qc,
	w_dbshotgun.qc, gore.qc, playermovement.qc, footstep.qc,
	modedefs.qc, rain.qc, damagetype.qc, mode_management.qc, sqrt.qc,
	w_plasmarifle.qc, waypoint_spawnformap.qc,
	havocbotold_qcwaysurfaces.qc, halflife.qc, plasma.qc, world.qc,
	havocbot_roles.qc, laser.qc, rocket.qc, domination.qc, grenade.qc,
	teamplay.qc, havocbotold_qcwaypoints.qc, fog.qc,
	mode_elimination.qc, trig_playercount.qc, trig_stuffcmd.qc,
	trig_ticker.qc: Initial revision

2002-09-19 12:04  havoc

	* progs/playergun.mdl, progs/muzzleflash.spr32, progs/v_dpshot.mdl,
	progs/v_dpshot2.mdl, progs/v_dpnail.mdl, progs/v_dpnail2.mdl,
	progs/v_dprock2.mdl, progs/v_dprock.mdl, progs/v_dplight.mdl,
	progs/rubble1.mdl, progs/rubble2.mdl, progs/rubble3.mdl,
	progs/star.mdl, progs/a_rock8.mdl, progs/a_rock4.mdl,
	progs/a_shell1.mdl, progs/a_shell2.mdl, progs/torchflametop.spr32,
	progs/torchflamebase.spr32, progs/flag.mdl, sound/explo2.wav,
	sound/weapons/bounce2.wav, sound/weapons/chain1.wav,
	sound/weapons/bsgload.wav, sound/weapons/bsgnoammo.wav,
	sound/weapons/chain2.wav, sound/weapons/chain3.wav,
	sound/weapons/bomb/trigger.wav, sound/weapons/bomb/fire.wav,
	sound/fire/launch.wav, sound/fire/burn.wav, sound/misc/foot1.wav,
	sound/misc/foot2.wav, sound/misc/foot3.wav, sound/misc/foot4.wav,
	sound/misc/foot5.wav, sound/misc/foot6.wav, sound/misc/foot7.wav,
	sound/misc/flagcap.wav, sound/misc/flagtk.wav,
	sound/plasma/plasexpl.wav, sound/plasma/plasma.wav,
	qc/cheatcode.qc, qc/decors.qc, qc/mine.qc, qc/ai.qc,
	qc/item_ammo.qc, qc/progs.src, qc/rotate.qc, qc/client.qc,
	qc/fire.qc, qc/defs.qc, qc/fight.qc, qc/spotlights.qc,
	qc/t_damage.qc, qc/doors.qc, qc/forcefield.qc, qc/m_dog.qc,
	qc/shake.qc, qc/casings.qc, qc/plats.qc, qc/w_grenade.qc,
	qc/buttons.qc, qc/havocbot.qc, qc/invisiblewall.qc,
	qc/item_weapons.qc, qc/misc.qc, qc/w_defs.qc, qc/w_fake10.qc,
	qc/xplowall.qc, qc/m_boss.qc, qc/m_shambler.qc, qc/item_armor.qc,
	qc/item_health.qc, qc/item_keys.qc, qc/item_legacystuff.qc,
	qc/item_sigil.qc, qc/player.qc, qc/subs.qc, qc/item_artifacts.qc,
	qc/item_backpacks.qc, qc/itemstuff.qc, qc/explosion.qc,
	qc/spike.qc, qc/w_nailgun.qc, qc/w_shotgun.qc, qc/m_tarbaby.qc,
	qc/w_common.qc: the darkplaces quake mod

2002-09-19 12:04  havoc

	* progs/playergun.mdl, progs/muzzleflash.spr32, progs/v_dpshot.mdl,
	progs/v_dpshot2.mdl, progs/v_dpnail.mdl, progs/v_dpnail2.mdl,
	progs/v_dprock2.mdl, progs/v_dprock.mdl, progs/v_dplight.mdl,
	progs/rubble1.mdl, progs/rubble2.mdl, progs/rubble3.mdl,
	progs/star.mdl, progs/a_rock8.mdl, progs/a_rock4.mdl,
	progs/a_shell1.mdl, progs/a_shell2.mdl, progs/torchflametop.spr32,
	progs/torchflamebase.spr32, progs/flag.mdl, sound/explo2.wav,
	sound/weapons/bounce2.wav, sound/weapons/chain1.wav,
	sound/weapons/bsgload.wav, sound/weapons/bsgnoammo.wav,
	sound/weapons/chain2.wav, sound/weapons/chain3.wav,
	sound/weapons/bomb/trigger.wav, sound/weapons/bomb/fire.wav,
	sound/fire/launch.wav, sound/fire/burn.wav, sound/misc/foot1.wav,
	sound/misc/foot2.wav, sound/misc/foot3.wav, sound/misc/foot4.wav,
	sound/misc/foot5.wav, sound/misc/foot6.wav, sound/misc/foot7.wav,
	sound/misc/flagcap.wav, sound/misc/flagtk.wav,
	sound/plasma/plasexpl.wav, sound/plasma/plasma.wav,
	qc/cheatcode.qc, qc/decors.qc, qc/mine.qc, qc/ai.qc,
	qc/item_ammo.qc, qc/progs.src, qc/rotate.qc, qc/client.qc,
	qc/fire.qc, qc/defs.qc, qc/fight.qc, qc/spotlights.qc,
	qc/t_damage.qc, qc/doors.qc, qc/forcefield.qc, qc/m_dog.qc,
	qc/shake.qc, qc/casings.qc, qc/plats.qc, qc/w_grenade.qc,
	qc/buttons.qc, qc/havocbot.qc, qc/invisiblewall.qc,
	qc/item_weapons.qc, qc/misc.qc, qc/w_defs.qc, qc/w_fake10.qc,
	qc/xplowall.qc, qc/m_boss.qc, qc/m_shambler.qc, qc/item_armor.qc,
	qc/item_health.qc, qc/item_keys.qc, qc/item_legacystuff.qc,
	qc/item_sigil.qc, qc/player.qc, qc/subs.qc, qc/item_artifacts.qc,
	qc/item_backpacks.qc, qc/itemstuff.qc, qc/explosion.qc,
	qc/spike.qc, qc/w_nailgun.qc, qc/w_shotgun.qc, qc/m_tarbaby.qc,
	qc/w_common.qc: Initial revision

2002-09-19 12:01  havoc

	* maps/dpdm2.lit, progs/casing.mdl, progs/plasmashot.spr32,
	progs/dpexplosion.spr32, progs/playernogun.mdl: the darkplaces
	quake mod

2002-09-19 12:01  havoc

	* maps/dpdm2.lit, progs/casing.mdl, progs/plasmashot.spr32,
	progs/dpexplosion.spr32, progs/playernogun.mdl: Initial revision

2002-09-19 11:58  havoc

	* maps/: dpdm1.bsp, dpdm1.lights, dpdm1.lit, dpdm2.bsp,
	dpdm2.lights: the darkplaces quake mod

2002-09-19 11:58  havoc

	* maps/: dpdm1.bsp, dpdm1.lights, dpdm1.lit, dpdm2.bsp,
	dpdm2.lights: Initial revision

2002-09-19 11:54  havoc

	* default.cfg, dpdemo1.dem, dpdemo2.dem, quake.rc: the darkplaces
	quake mod

2002-09-19 11:54  havoc

	* default.cfg, dpdemo1.dem, dpdemo2.dem, quake.rc: Initial revision

